grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Changes to grep/autogen.sh


From: Stepan Kasal
Subject: Changes to grep/autogen.sh
Date: Sat, 20 Nov 2004 09:42:44 -0500

Index: grep/autogen.sh
diff -u grep/autogen.sh:1.5 grep/autogen.sh:1.6
--- grep/autogen.sh:1.5 Tue Nov 20 14:41:11 2001
+++ grep/autogen.sh     Sat Nov 20 14:46:18 2004
@@ -1,34 +1,16 @@
 #!/bin/sh
-# We want to support both legacy and current autoconf - this is a bit ugly...
-AC_VERSION=`autoconf --version 2>&1 |head -n1 |sed -e "s/.* 
//;s/\.//;s/[a-z]//"`
-if test -z "$AC_VERSION"; then
-       echo "Warning: Couldn't determine autoconf version. Assuming a current 
version."
-       AC_VERSION=252
-fi
-if test "$AC_VERSION" -lt 250; then
-       rm -f acinclude.m4
-       echo "#undef ssize_t" >acconfig.h
-       for i in m4/*.m4; do
-               if cat $i |grep -q "jm_"; then
-                       cat $i >>acinclude.m4
-               elif test ! -e `aclocal --print-ac-dir`/`basename $i`; then
-                       cat $i >>acinclude.m4
-               fi
-       done
-       aclocal
+
+chmod +x tests/*.sh   # fix a bug in CVS
+
+if \
+aclocal -I m4 &&
+autoheader &&
+automake -a &&
+autoconf
+then
+       echo "Next, run ./configure && make && make check"
 else
-       aclocal -I m4
+       echo
+       echo "An error occured."
+       exit 1
 fi
-autoheader
-automake -a
-if test "$AC_VERSION" -lt 250; then
-       # Workaround for a bug in ancient versions of autoheader
-       sed -e 's,#undef $,/* your autoheader is buggy */,g' config.hin 
>config.hin.new
-       rm config.hin
-       mv config.hin.new config.hin
-       # Make sure config.hin doesn't get rebuilt after the workaround
-       sed -e 's,@AUTOHEADER@,true,' Makefile.in >Makefile.in.new
-       rm Makefile.in
-       mv Makefile.in.new Makefile.in
-fi
-autoconf




reply via email to

[Prev in Thread] Current Thread [Next in Thread]